Subject: omap4: support for manually updated display

From: [email-masked] (Tony Lindgren)
Date: Mon, 22 Oct 2018 11:43:14 -0700

* Tony Lindgren <[email-masked]> [181022 16:31]:
> * Tomi Valkeinen <[email-masked]> [181022 08:14]:
> > On 20/10/18 03:38, Tony Lindgren wrote:
> > > * Sebastian Reichel <[email-masked]> [181019 15:58]:
> > >> I uploaded my current status here. It's not based on the newest
> > >> -next, but contains the interesting patches from Laurent. Also
> > >> the last few patches are not yet cleaned up, sorry for the mess.
> > > 
> > > Way to go, thanks :) Here's a quick fix for issues with loading
> > > and unloading modules, seems like this should be fixed somewhere
> > > else though?
> 
> Sorry one oops was for rmmod, the other one was for modprobe.
> 
> > I didn't get that far on drm-next with pandaboard. When loading modules, dsi_probe crashes. It is missing runtime_get(). But after adding runtime_get call, it fails and I see:
> > 
> > [   44.671081] omap_hwmod: dss_dsi2: _wait_target_ready failed: -16
> > [   44.677459] omapdss_dsi 58005000.encoder: use pm_runtime_put_sync_suspend() in driver?
> > 
> > Why is dsi2 busy (and what does it even mean)...
> 
> Hmm below segfault is what I see on pandaboard-es with
> next-20181019 with no extra patches.

And git bisect points to these issues starting with commit
27d624527d99 ("drm/omap: dss: Acquire next dssdev at probe time")
if that might help.

Regards,

Tony